/* ----------------------------------------
 * Origin  : GFI INFORMATIQUE 
 * Project : CDPP Propagation Tool 
 * ----------------------------------------
 * History 
 * Version : 01/05/2015 : SCA : V2.1
 * Version : 29/06/2022 : LBE : V2.5
 * DM-ID : Redmine 7278: Catalogs range directly selected in menu
 * Version : 25/11/2022 : LBE : V2.6
 * DM-ID : Redmine#10630 : AMDA zoom type
 * ----------------------------------------
 */
package fr.tlse.irap.pt.client.controller.tools.plot;

import fr.tlse.irap.pt.client.controller.common.Item;
import fr.tlse.irap.pt.client.controller.tools.plot.VPlotModel.Catalog;
import fr.tlse.irap.pt.client.controller.tools.plot.VPlotModel.DataSource;
import java.util.List;

public interface IVPlotMenu  {
	void runChooseData(DataSource type);
	void runSetZoom();
	void runResetZoom();
	void runInSituCatalog(String catalog, String catType);
        void runInSituCatalogDataRange(Item catMenu, final List<Catalog> catalogs);
}
